<template>
  <q-drawer
    show-if-above
    bordered
    :width="width"
    :breakpoint="500"
    v-model="drawer"
  >
    <q-scroll-area class="fit">
      <q-list padding class="text-primary" >
        <template v-for="(option, index) in options">
          <q-item
            :key="index"
            clickable
            v-ripple
            :to="{ name: option.to }"
          >
            <q-item-section avatar>
              <q-icon :name="option.icon"/>
            </q-item-section>
            <q-item-section>{{ option.label }}</q-item-section>
          </q-item>
        </template>
      </q-list>
    </q-scroll-area>
  </q-drawer>
</template>

<script>
export default {
  name: 'Menu',
  props: {
    drawer: {
      type: Boolean
    },
    options: {
      type: Array,
      required: true
    },
    width: {
      type: Number
    }
  },
  data () {
    return {
      link: 'local'
    }
  }
}
</script>
